## Push Message **post** `/accounts/{account_id}/queues/{queue_id}/messages` Push a message to a Queue ### Path Parameters - `account_id: string` A Resource identifier. - `queue_id: string` A Resource identifier. ### Body Parameters - `body: optional object { body, content_type, delay_seconds } or object { body, content_type, delay_seconds }` - `MqQueueMessageText = object { body, content_type, delay_seconds }` - `body: optional string` - `content_type: optional "text"` - `"text"` - `delay_seconds: optional number` The number of seconds to wait for attempting to deliver this message to consumers - `MqQueueMessageJson = object { body, content_type, delay_seconds }` - `body: optional unknown` - `content_type: optional "json"` - `"json"` - `delay_seconds: optional number` The number of seconds to wait for attempting to deliver this message to consumers ### Returns - `errors: optional array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `pointer: optional string` - `messages: optional array of string` - `success: optional true` Indicates if the API call was successful or not. - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/queues/$QUEUE_ID/messages \ -X POST \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" ``` #### Response ```json { "errors": [ { "code": 7003, "message": "No route for the URI", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "success": true } ```